<?php
    require_once(__DIR__.'/../modelos/factura.php');
    
    class FacturaController
    {
        private $model;

        public function __construct()
        {
            $this->model = new factura();
        }

        public function Update()
        {
            $factura = new factura();

           // Get form values
            $factura->id_factura = intval($_POST['id_factura']);
            $factura->id_cliente = intval($_POST['id_cliente']);
            $factura->id_mayorista = intval($_POST['id_mayorista']);
            $factura->estado_factura = intval($_POST['estado_factura']);
            $factura->condiciones = $_POST['condiciones'];
            $factura->condiciones2 = $_POST['condiciones2'];
            $factura->observaciones = $_POST['observaciones'];
            $factura->observaciones2 = $_POST['observaciones2'];
            $factura->zona = $_POST['zona'];
            $factura->comentarios = $_POST['comentarios'];

            $result = $this->model->Actualizar($factura);

            return $result;

        }

    }